Subject: Re: [PATCH v3] powerpc: Rework iommu_table locks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 27 Jun 2013 19:39:35 +1000

On Thu, 2013-06-27 at 14:53 +1000, Alexey Kardashevskiy wrote:
> 
> 2. remove locks from functions being called by VFIO. The whole table
> is given to the user space so it is responsible now for races.

Sure but you still need to be careful that userspace cannot cause things
that crash the kernel. For example, look careful at what could happen if
two user space threads try to manipulate the same TCE entry at the same
time and whether that can cause a deadly kernel race... something tells
me it can.

Cheers,
Ben.